Posts Tagged ‘security’

Citrix NetScaler: Cannot load applet (7u51)

Written by Ingmar Verheij on January 20th, 2014. Posted in Netscaler

Java Update Available

TIP: NetScaler 10.5 uses HTML5 instead or JRE for most configuration features! Hooraaayyy! – link

On January 14 Oracle released Java Runtime Environment (JRE) 7 update 51. Just like previous updates the raised the security level which could potentially break existing applications. We saw the same when they released 7u45, back then I found a more constructive (but complex) solution to solve a problem where the GUI hanged at “Downloading Applet..

Citrix updated their NetScaler software to meet the requirements of Oracle on December 3rd (download, release notes) – I hope that back then you reverted to a more secure JRE. Unfortunately JRE 7u51 gave me again problems, this time the Java Applet could not be loaded.

Citrix: NetScaler hangs at Downloading Applet…

Written by Ingmar Verheij on November 27th, 2013. Posted in Netscaler

TIP: NetScaler 10.5 uses HTML5 instead or JRE for most configuration features! Hooraaayyy! – link

With the release of Java Runtime Environment (JRE) 7 update 45  new security measurements are introduced. Oracle describes the impact of the updated security baseline in this blog. While security is an important topic (especially when web applications are involved) breaking applications due to raised security could result in the opposite.

In case you’re running JRE 7u51, please read this article with an update.

Downloading applet...Citrix NetScalers are managed with a web interface which uses HTML5 and Java applets. With new security measurements these applets hang at “Downloading Applet…”

At the moment of writing there are two features that need to be disabled to enable the Java Applets of the Citrix NetScaler (as described by Barry Schiffer in this article):

  • Disable Temporary Internet Files
  • Lower Security

While this solves the problem (of not being able to administer a Citrix NetScaler) is potentially creates a new: the security level is lowered for the entire JRE. While Oracle was trying to increase the security for Java Applets with this update the opposite is achieved Sad smile.  Fortunately there is a way to lower the security for specific addresses Smile

Macro security / VBA error in sequence

Written by Ingmar Verheij on October 16th, 2009. Posted in Microsoft App-V

Today I had to solve a problem with multiple (Softgrid) sequences with the same symptom.

Situation
A business application generates documents based on Microsoft Word / Excel. These documents use Macro’s / VBA to communicate with the application and retrieve the necessary data.

During initial tests and the sequencing procedures everything works fine and no problems rise. However, in the tests on the terminal servers some “strange” occur when the documents are generated.
These problems result in error messages about macro security and the unavailability of VBA. Even when the macro security is (tempory) lowered these error messages keep on showing.
VBA error

Cause and solution
The problem is caused by the isolation of softgrid (now AppV). Because VBA is not in the sequence, and not directly called by the application (but through Word), it can’t locate the necessary resources.

Donate